Bug 839272 - Xorg freezes when screen cable disconnected and reconnected again
Xorg freezes when screen cable disconnected and reconnected again
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-nouveau (Show other bugs)
7.0
x86_64 Linux
high Severity high
: rc
: 7.0
Assigned To: Ben Skeggs
Desktop QE
:
Depends On:
Blocks: 782468 982785
  Show dependency treegraph
 
Reported: 2012-07-11 08:34 EDT by Vladimir Benes
Modified: 2014-09-13 15:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:37:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (71.91 KB, application/octet-stream)
2012-07-11 09:41 EDT, Vladimir Benes
no flags Details
messages (1.93 MB, application/octet-stream)
2012-07-11 09:41 EDT, Vladimir Benes
no flags Details

  None (edit)
Description Vladimir Benes 2012-07-11 08:34:26 EDT
Description of problem:
I have [Quadro NVS 290] [10de:042f] with signal splitter into two screens. When I disconnects the primary one and reconnect it back X gets frozen in a while.

Keyboard is frozen as well as numlock is not reacting as well. I can get some response from the system over ssh. I can kill X and free keyboard but I cannot get X server back to show something .. need to reboot to get screen back. 

will paste more logs and possibly gdb traceback

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.12.0-5.el7.x86_64
xorg-x11-drv-nouveau-0.0.16-36.20120306gitf5d1cd2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.disconnect primary screen from signal splitter cable
2.reconnect it back 

  
Actual results:
whole computer frozen (keyboard, no screen)

Expected results:
no freeze.. computer back to normal

Additional info:
it needs to be primary screen, secondary is working as expected
Comment 1 Vladimir Benes 2012-07-11 09:41:06 EDT
Created attachment 597575 [details]
dmesg
Comment 2 Vladimir Benes 2012-07-11 09:41:43 EDT
Created attachment 597576 [details]
messages
Comment 3 Martin 2012-07-17 10:00:51 EDT
I can reproduce this bug on Quadro 600 with first monitor connected to single-link DVI and second to DisplayPort with DVI adapter.

I have another two scenarios:

1) When I disable primary monitor in Control Center and then enable, Xorg freezes. It doesn't depend only on HW disconnect.

2) When I boot with only one monitor and then I connect second monitor, Xorg freezes too.
Comment 4 Martin 2012-07-17 10:35:53 EDT
HW (dis)connect scenario is not reproducible with 2 VGA outputs*, only with scenarion 1 above.

*It does nothing automatically, must be enabled by Control Center, like in scenario 1.

GPU: NVS 300 with dual-link DVI to 2x VGA adapter
Comment 5 Martin 2012-07-18 06:23:34 EDT
I can reproduce this bug only in Gnome Shell or GDM login screen. KDE and VT does not triger this bug,

I've found a workaround when second monitor is connected, but disabled. Switch to VT, wait for second monitor to show console, then switch back to Gnome Shell and enable second monitor.
Comment 6 Martin 2012-07-18 06:37:12 EDT
Bug is reproducible with these nVidia cards and setups (always 2 monitors):

DVI interface:
Quadro 600 with DVI and DP to DVI adapter
NVS 300 with dual-link DVI to 2x DVI adapter
Quadro 400 with DVI and DP to DVI adapter
Quadro NVS 295 with 2x DP to DVI adapter

VGA interface:
NVS 300 with dual-link DVI to 2x VGA adapter
Comment 9 Paul W. Frields 2013-03-11 14:13:48 EDT
Can you retest with Alpha 3 and report back?

xorg-x11-server-Xorg-1.13.1-3.el7.x86_64
xorg-x11-drv-nouveau-1.0.6-2.el7.x86_64
Comment 10 Vladimir Benes 2013-03-12 03:40:56 EDT
this is definitely still there and affecting all cards not just this one.
Comment 13 Ben Skeggs 2013-10-22 20:22:55 EDT
This needs retesting once an el7 kernel with updated DRM is available.  The relevant paths changed significantly, and issues similar to these were fixed in the process.  Hopefully that means this one is already too :)
Comment 14 Michal Domonkos 2013-11-21 07:51:43 EST
Retested on the latest RHEL7 nightly by several disconnect/connect cycles (using a VGA splitter) and it seems like this issue is already resolved.

To be precise, the only exception is when I disconnect the monitor and then connect it back but to the other of the two VGA outputs on the splitter.  In such case the monitor won't power on automatically but switching to a VT and back using CTRL-ALT-Fx combo does the trick.  This is not a big issue I think and probably not related to this BZ, so I suggest to close as VERIFIED.
Comment 15 Michal Domonkos 2013-11-22 11:04:40 EST
Also re-tested Comment 3 and everything went smooth.
Comment 17 Ludek Smid 2014-06-13 05:37:47 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.